Jump to content

This version of Mac OS X is not supported on this platform


stewilko
 Share

11 posts in this topic

Recommended Posts

Hi guys,

 

I'm a total n00b when it comes to Hackintosh.

 

The reason I want to create one is so I can learn to code xCode (I've got a book from my university library on how to do that!)

 

However, I am running into snags along the way!

 

Firstly, I've downloaded the vanilla Yosemite install file from the Mac App store (via one of the university's Macs) and successfully created a bootable USB in Windows following a guide on these forums (which I might add is amazing because last time I tried creating a Hackintosh it wasn't possible!)

 

Now, I can boot to Clover with the USB but when I try to install Yosemite I get the following error:

This version of Mac OS X is not supported on this platform!
Reason: Z87-HD3

My machine setup is:

Gigabyte Z87-HD3
Intel i5 - 4460 3.20 GHz
MSI GTX 960

After searching the internet, for what seemed like an eternity, I came across several posts on the forum that shall not be named of people who have successfully installed Yosemite on this mobo. Instructions were as follows

VT-d = Disabled
Secure Boot = Disabled
"Other OS"
Graphics = IGFX
and several different boot flags to try

I've even tried with the boot flag "kext-dev-mode=1" and with "-f" after it

 

But I am still getting this error. Has anyone, anywhere, got any advice for me? Or has anyone actually managed to install Yosemite to this board?

 

I really don't want to have to resort to getting hold of someone else's Mac and using the "beast" bootable USB drive (for it to not bloody work!)

 

Sorry for the essay, it's just that I've been trying this since 8am today and it is now quarter to 1 in the morning!

 

So it may seem that the issue could be because my BIOS is only on F7 and I've seen that F8 is needed. I'll try this tomorrow and report back if I encounter anything else! (Still if anyone has any advice in the mean time I'm all ears)

 

Thanks guys!

Edited by stewilko
Link to comment
Share on other sites

You are using a SMBios? And make sure for use a SMBios very similar of your hardware.

 

Hi Allan, sorry but like I said I am a total n00b when it comes to this. How do I find out if I am using SMBios? And if not how/where do I find one?

Link to comment
Share on other sites

  • 1 year later...

I can confrim that if you add -no_compat_check flag on Clover custom boot args, then hardware compatibility check is bypassed and can be booted fine macOS sierra by using MacBookPro5.1 SMIOS. Otherwise I got an error at boot time:

This version of Mac OS X is not supported on this platform
Reason: Mac-F42D86C8

Boot arg -no_compat_check will fix it.

  • Like 4
Link to comment
Share on other sites

  • 2 years later...
On 10/26/2016 at 3:47 PM, holyfield said:

I can confrim that if you add -no_compat_check flag on Clover custom boot args, then hardware compatibility check is bypassed and can be booted fine macOS sierra by using MacBookPro5.1 SMIOS. Otherwise I got an error at boot time:


This version of Mac OS X is not supported on this platform
Reason: Mac-F42D86C8

Boot arg -no_compat_check will fix it.

i used this flag and it loads to apple logo then the installer then the Restart button !!

what should i do !!?

10.12.3

Link to comment
Share on other sites

      System Manufacturer: Hewlett-Packard
             System Model: HP 620
                     BIOS: Default System BIOS (type: BIOS)
                Processor: Intel(R) Core(TM)2 Duo CPU     T6570  @ 2.10GHz (2 CPUs), ~2.1GHz
                   Memory: 2048MB RAM

 

On 11/9/2018 at 4:18 PM, STLVNUB said:

First off, make a signature with your specs, then we may be able to help you more

 

Link to comment
Share on other sites

 Share

×
×
  • Create New...